require 'gitroom/connect'
connect

require 'gitroom/models/node'
require 'gitroom/models/log'

module GitRoom
  class Admin
    attr_accessor :list

    def find(regex_string = '')
      @list = Node.where 'path ~ ?', regex_string
    end

    def pluck
      @list.pluck :path
    end

    def delete
      @list.each { |x| x.destroy }
    end

    def logs
      Log.pluck :data
    end

    def logs!
      res = logs
      Log.destroy_all
      res
    end
  end
end
