class Object
  attr_accessor :redis_connection

  def redis
    Object.redis_connection
  end
end

def connect
  require 'yaml'
  require 'active_record'
  require 'redis'

  env = ENV['ENVIRONMENT'] || 'development'

  ar_connection = YAML.load_file('config/database.yml')[env]

  ActiveRecord::Base.establish_connection ar_connection

  red_connection = YAML.load_file('config/redis.yml')[env]

  Object.redis_connection = Redis.new red_connection
end
